Skip to main content

Tag Assignment

View as Markdown

TagAssignment object

entity_typestringBetaImmutable

The type of entity to which the tag is assigned. Allowed values are apps, dashboards, designerfiles, geniespaces, notebooks

Example: dashboards

entity_idstringBetaImmutable

The identifier of the entity to which the tag is assigned. For apps, the entity_id is the app name

Example: 2807324866692453

tag_keystring[ 1 .. 256 ] charactersBetaImmutable

The key of the tag. The characters , . : / - = and leading/trailing spaces are not allowed

Example: sensitivity_level

tag_valuestring<= 1000 charactersBeta

The value of the tag

Example: high

Get a tag assignment for an entity Beta

GET /api/2.0/entity-tag-assignments/{entity_type}/{entity_id}/tags/{tag_key}

Get a tag assignment

API scopes: tags

Parameters

entity_typestringRequiredpath

The type of entity to which the tag is assigned. Allowed values are apps, dashboards, designerfiles, geniespaces, notebooks

Example: dashboards

entity_idstringRequiredpath

The identifier of the entity to which the tag is assigned. For apps, the entity_id is the app name

Example: 2807324866692453

tag_keystring[ 1 .. 256 ] charactersRequiredpath

The key of the tag. The characters , . : / - = and leading/trailing spaces are not allowed

Example: sensitivity_level

Response

Returns the TagAssignment object.

List tag assignments for an entity Beta

GET /api/2.0/entity-tag-assignments/{entity_type}/{entity_id}/tags

List the tag assignments for an entity

API scopes: tags

Parameters

entity_typestringRequiredpath

The type of entity to which the tag is assigned. Allowed values are apps, dashboards, designerfiles, geniespaces, notebooks

Example: dashboards

entity_idstringRequiredpath

The identifier of the entity to which the tag is assigned. For apps, the entity_id is the app name

Example: 2807324866692453

page_sizeint32query

Optional. Maximum number of tag assignments to return in a single page

page_tokenstringquery

Pagination token to go to the next page of tag assignments. Requests first page if absent.

Response

Returns a list of TagAssignment objects.

Create a tag assignment for an entity Beta

POST /api/2.0/entity-tag-assignments

Create a tag assignment

API scopes: tags

Request body

entity_typestringRequiredImmutable

The type of entity to which the tag is assigned. Allowed values are apps, dashboards, designerfiles, geniespaces, notebooks

Example: dashboards

entity_idstringRequiredImmutable

The identifier of the entity to which the tag is assigned. For apps, the entity_id is the app name

Example: 2807324866692453

tag_keystring[ 1 .. 256 ] charactersRequiredImmutable

The key of the tag. The characters , . : / - = and leading/trailing spaces are not allowed

Example: sensitivity_level

tag_valuestring<= 1000 characters

The value of the tag

Example: high

Response

Returns the TagAssignment object.

Update a tag assignment for an entity Beta

PATCH /api/2.0/entity-tag-assignments/{entity_type}/{entity_id}/tags/{tag_key}

Update a tag assignment

API scopes: tags

Parameters

entity_typestringRequiredImmutablepath

The type of entity to which the tag is assigned. Allowed values are apps, dashboards, designerfiles, geniespaces, notebooks

Example: dashboards

entity_idstringRequiredImmutablepath

The identifier of the entity to which the tag is assigned. For apps, the entity_id is the app name

Example: 2807324866692453

tag_keystring[ 1 .. 256 ] charactersRequiredImmutablepath

The key of the tag. The characters , . : / - = and leading/trailing spaces are not allowed

Example: sensitivity_level

update_maskstringRequiredquery

Request body

tag_valuestring<= 1000 characters

The value of the tag

Example: high

Response

Returns the TagAssignment object.

Delete a tag assignment for an entity Beta

DELETE /api/2.0/entity-tag-assignments/{entity_type}/{entity_id}/tags/{tag_key}

Delete a tag assignment

API scopes: tags

Parameters

entity_typestringRequiredpath

The type of entity to which the tag is assigned. Allowed values are apps, dashboards, designerfiles, geniespaces, notebooks

Example: dashboards

entity_idstringRequiredpath

The identifier of the entity to which the tag is assigned. For apps, the entity_id is the app name

Example: 2807324866692453

tag_keystring[ 1 .. 256 ] charactersRequiredpath

The key of the tag. The characters , . : / - = and leading/trailing spaces are not allowed

Example: sensitivity_level